Skip Menu |
 

This queue is for tickets about the Algorithm-Cluster CPAN distribution.

Report information
The Basics
Id: 120442
Status: new
Priority: 0/
Queue: Algorithm-Cluster

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 1.52
  • 1.53
  • 1.56
  • 1.57
Fixed in: (no value)



Subject: [PATCH] Build fails with recent EUMM and some make variants
Download (untitled) / with headers
text/plain 684b
On FreeBSD systems with BSD make and recent ExtUtils::MakeMaker (>=7.16) I see the following error while trying to test the distribution: $ make test "/usr/perl5.25.9p/bin/perl5.25.9" -MExtUtils::Command::MM -e 'cp_nonempty' -- Cluster.bs ../blib/arch/auto/Algorithm/Cluster/Cluster.bs 644 Manifying 1 pod document make: don't know how to make dynamic. Stop *** [subdirs-test_dynamic] Error code 2 The problem is probably caused by a change in ExtUtils::MakeMaker and discussed in this ticket: https://rt.cpan.org/Ticket/Display.html?id=117800 A possible patch to fix the problem: http://cpan.cpantesters.org/authors/id/S/SR/SREZIC/patches/Algorithm-Cluster-1.52-RT117800.patch
Download (untitled) / with headers
text/plain 805b
On 2017-02-27 15:58:32, SREZIC wrote: Show quoted text
> On FreeBSD systems with BSD make and recent ExtUtils::MakeMaker > (>=7.16) I see the following error while trying to test the > distribution: > > $ make test > "/usr/perl5.25.9p/bin/perl5.25.9" -MExtUtils::Command::MM -e > 'cp_nonempty' -- Cluster.bs > ../blib/arch/auto/Algorithm/Cluster/Cluster.bs 644 > Manifying 1 pod document > make: don't know how to make dynamic. Stop > *** [subdirs-test_dynamic] Error code 2 > > > The problem is probably caused by a change in ExtUtils::MakeMaker and > discussed in this ticket: > https://rt.cpan.org/Ticket/Display.html?id=117800 > > A possible patch to fix the problem: > http://cpan.cpantesters.org/authors/id/S/SR/SREZIC/patches/Algorithm- > Cluster-1.52-RT117800.patch
Same problem with 1.53. Patch still works.
Download (untitled) / with headers
text/plain 1.1k
On 2017-08-21 13:26:23, SREZIC wrote: Show quoted text
> On 2017-02-27 15:58:32, SREZIC wrote:
> > On FreeBSD systems with BSD make and recent ExtUtils::MakeMaker > > (>=7.16) I see the following error while trying to test the > > distribution: > > > > $ make test > > "/usr/perl5.25.9p/bin/perl5.25.9" -MExtUtils::Command::MM -e > > 'cp_nonempty' -- Cluster.bs > > ../blib/arch/auto/Algorithm/Cluster/Cluster.bs 644 > > Manifying 1 pod document > > make: don't know how to make dynamic. Stop > > *** [subdirs-test_dynamic] Error code 2 > > > > > > The problem is probably caused by a change in ExtUtils::MakeMaker and > > discussed in this ticket: > > https://rt.cpan.org/Ticket/Display.html?id=117800 > > > > A possible patch to fix the problem: > > http://cpan.cpantesters.org/authors/id/S/SR/SREZIC/patches/Algorithm- > > Cluster-1.52-RT117800.patch
> > Same problem with 1.53. Patch still works.
I still see this failure on FreeBSD systems if EUMM 7.24 is installed. But it work with EUMM 7.30 or 7.34. Usually I would propose setting the minimum prereq version conditionally --- however this is not possible for configure_requires, as the only possibility here is a static declaration in META.yml/json.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.